/* 

                          Firewall Builder

                 Copyright (C) 2000 NetCitadel, LLC

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: ExecDialog.hh,v 1.5 2002/08/29 00:34:48 vkurland Exp $


  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/



#ifndef __EXECDIALOG_HH__
#define __EXECDIALOG_HH__

#include "GenericBackgroundOpDialog.hh"

#include <gtk--/window.h>

/**
 * This is special form of GenericBackgroundOpDialog dialog
 * which is used to invoke external compiler and install
 * scripts. It passes some special options related to work
 * directory and root object.
 *
 * TODO:
 *
 * 1. It should be called less generic, for example 
 *    'CompileInstallDialog'
 *
 * 2. Instead of passing work directory to compiler, we can
 *    make it current drectory before calling it.
 *
 * 3. We can do 'chroot' to run compiler safely, in case
 *    fwbuilder GUI is executed by root.
 *
 */

class    BackgroundOpWidget;
class    ExecBgr;

class ExecDialog : public GenericBackgroundOpDialog
{
    BackgroundOpWidget *bow;
    ExecBgr            *ebgr;

    public:
    
    ExecDialog(const string &compiler , 
               const string &args,
               const string &file_name, 
               const string &obj_name,
               const string &wdir
    );

    virtual ~ExecDialog();

};

#endif //__EXECDIALOG_HH__

