/* 

                          Firewall Builder

                 Copyright (C) 2000 NetCitadel, LLC

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: FixupWidget.cc,v 1.1 2002/11/26 05:24:37 vkurland Exp $

  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "config.h"

#include "FixupWidget.hh"

#include <gtk--/box.h>

#include <assert.h>

FixupWidget::FixupWidget()
{}

FixupWidget::FixupWidget(const std::string &_n, 
                         bool disable,
                         int p1,
                         int p2,
                         const std::string &option_name,
                         bool ov)
{
    name->set_text(_n);
    no->set_active(disable);

    port1->set_sensitive(true);
    port2->set_sensitive(true);
    option->set_sensitive(true);

    port1->set_value(p1);
    port2->set_value(p2);

    on=option_name;
    ((Gtk::Label*)(option->get_child()))->set_text(on);
    option->set_active(ov); 

    if (on.empty())
    {
        option->hide();
        remove( *option );
        option=NULL;
    }
//    option->set_sensitive( ! on.empty() ); 
}

void FixupWidget::on_del_clicked()
{
    Gtk::VBox   *vb=dynamic_cast<Gtk::VBox*>(get_parent());
    assert(vb!=NULL);

    vb->remove(*this);
}


