/* 

                          Firewall Builder

                 Copyright (C) 2000 NetCitadel, LLC

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: FixupWidget.hh,v 1.1 2002/11/26 05:24:37 vkurland Exp $


  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/


#ifndef _FIXUPWIDGET_HH
#  include "FixupWidget_glade.hh"
#  define _FIXUPWIDGET_HH
#include "glademm_support.hh"


class FixupWidget : public FixupWidget_glade
{  
        
    friend class FixupWidget_glade;
    
    std::string on;

    void on_del_clicked();

    public:

    FixupWidget();
    FixupWidget(const std::string &name, 
                bool disable,
                int port1,
                int port2,
                const std::string &option_name,
                bool option);

    std::string getName()       { return name->get_text(); }
    bool        isDisabled()    { return no->get_active(); }
    int         getPort1()      { return port1->get_value_as_int(); }
    int         getPort2()      { return port2->get_value_as_int(); }
    std::string getOptionName() { return on; }
    bool        getOption()     { return (option!=NULL)?option->get_active():false; }
};


#endif
